package com.dgtly.system.domain;


import com.dgtly.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 交货数量确认 
 * </p>
 *
 * @author csz
 * @since 2020-08-06
 */
public class DeliverQuantityConfirm {

    private static final long serialVersionUID = 1L;
    private Long id;

    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    private String updateBy;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    private String isDelete;

    private String code;
    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 订单行号
     */
    private String orderItem;

    /**
     * 订单生成时间
     */
    private String orderCreationTime;

    /**
     * 订单所属
     */
    private String belongTo;

    /**
     * 交货单号
     */
    private String deliveryNumber;

    /**
     * 交货单行号
     */
    private String deliverItem;

    /**
     * 运单号
     */
    private String shipmentNumber;

    /**
     * 交货地址
     */
    private String shipToAddress;

    /**
     * 物料编号
     */
    private String materialCode;

    /**
     * 物料名称
     */
    private String materialName;

    /**
     * 物料规格
     */
    private String sizeDim;

    /**
     * 交货数量
     */
    private BigDecimal deliverQty;

    /**
     * 交货重量
     */
    private BigDecimal deliverWt;

    /**
     * 确认数量
     */
    private BigDecimal confirmQuantity;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOrderItem() {
        return orderItem;
    }

    public void setOrderItem(String orderItem) {
        this.orderItem = orderItem;
    }

    public String getOrderCreationTime() {
        return orderCreationTime;
    }

    public void setOrderCreationTime(String orderCreationTime) {
        this.orderCreationTime = orderCreationTime;
    }

    public String getBelongTo() {
        return belongTo;
    }

    public void setBelongTo(String belongTo) {
        this.belongTo = belongTo;
    }

    public String getDeliveryNumber() {
        return deliveryNumber;
    }

    public void setDeliveryNumber(String deliveryNumber) {
        this.deliveryNumber = deliveryNumber;
    }

    public String getDeliverItem() {
        return deliverItem;
    }

    public void setDeliverItem(String deliverItem) {
        this.deliverItem = deliverItem;
    }

    public String getShipmentNumber() {
        return shipmentNumber;
    }

    public void setShipmentNumber(String shipmentNumber) {
        this.shipmentNumber = shipmentNumber;
    }

    public String getShipToAddress() {
        return shipToAddress;
    }

    public void setShipToAddress(String shipToAddress) {
        this.shipToAddress = shipToAddress;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getSizeDim() {
        return sizeDim;
    }

    public void setSizeDim(String sizeDim) {
        this.sizeDim = sizeDim;
    }

    public BigDecimal getDeliverQty() {
        return deliverQty;
    }

    public void setDeliverQty(BigDecimal deliverQty) {
        this.deliverQty = deliverQty;
    }

    public BigDecimal getDeliverWt() {
        return deliverWt;
    }

    public void setDeliverWt(BigDecimal deliverWt) {
        this.deliverWt = deliverWt;
    }

    public BigDecimal getConfirmQuantity() {
        return confirmQuantity;
    }

    public void setConfirmQuantity(BigDecimal confirmQuantity) {
        this.confirmQuantity = confirmQuantity;
    }

    public DeliverQuantityConfirm() {
    }

    public DeliverQuantityConfirm(Long id, String createBy, Date createTime, String updateBy, Date updateTime, String isDelete, String code, String orderNumber, String orderItem, String orderCreationTime, String belongTo, String deliveryNumber, String deliverItem, String shipmentNumber, String shipToAddress, String materialCode, String materialName, String sizeDim, BigDecimal deliverQty, BigDecimal deliverWt, BigDecimal confirmQuantity) {
        this.id = id;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.isDelete = isDelete;
        this.code = code;
        this.orderNumber = orderNumber;
        this.orderItem = orderItem;
        this.orderCreationTime = orderCreationTime;
        this.belongTo = belongTo;
        this.deliveryNumber = deliveryNumber;
        this.deliverItem = deliverItem;
        this.shipmentNumber = shipmentNumber;
        this.shipToAddress = shipToAddress;
        this.materialCode = materialCode;
        this.materialName = materialName;
        this.sizeDim = sizeDim;
        this.deliverQty = deliverQty;
        this.deliverWt = deliverWt;
        this.confirmQuantity = confirmQuantity;
    }
}
